require 'date'

# Age Calculator
class Seniority
  # method that return calculated age like: "28 year(s), 7 month(s), 1 day(s)"
  def self.get_age(dob)
    age_finder = AgeCalculator.new(dob)
    age_finder.error.empty? ? "#{age_finder.year} year(s), #{age_finder.month} month(s), #{age_finder.date} day(s)" : age_finder.error
  end

  # method that return calculated day like: 1
  def self.get_age_day(dob)
    age_finder = AgeCalculator.new(dob)
    age_finder.error.empty? ? age_finder.date.to_i : age_finder.error
  end

  # method that return calculated month like: 7
  def self.get_age_month(dob)
    age_finder = AgeCalculator.new(dob)
    age_finder.error.empty? ? age_finder.month.to_i : age_finder.error
  end

  # method that return calculated year like: 28
  def self.get_age_year(dob)
    age_finder = AgeCalculator.new(dob)
    age_finder.error.empty? ? age_finder.year.to_i : age_finder.error
  end
end

require 'seniority/age_finder'
